com.genesyslab.wfm8.API.service.config852

## Class CfgPlanningPeriodHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgPlanningPeriodHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgPlanningPeriodHolder
      extends java.lang.Object
      implements java.io.Serializable

  Planning Period Information Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgPlanningPeriod>` | `periods` A list of periods `CfgPlanningPeriod`
    `protected int` | `periodsNSizeIs`
    `private static long` | `serialVersionUID`
    `protected int` | `wmPlanningPeriodType` Planning Period Type `ECfgPlanningPeriodType`
    `protected int` | `wmSiteId` Site ID
    `protected int` | `wmWeekStartDay` Week Start Day (1 = Mon, 2 =Tue, ...

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgPlanningPeriodHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgPlanningPeriod>` | `getPeriods()` Gets the value of the periods property.
    `int` | `getPeriodsNSizeIs()` Gets the value of the periodsNSizeIs property.
    `int` | `getWmPlanningPeriodType()` Gets the value of the wmPlanningPeriodType property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmWeekStartDay()` Gets the value of the wmWeekStartDay property.
    `int` | `hashCode()`
    `void` | `setPeriods(java.util.List<CfgPlanningPeriod> periods)` Sets the value of the periods property.
    `void` | `setPeriodsNSizeIs(int value)` Sets the value of the periodsNSizeIs property.
    `void` | `setWmPlanningPeriodType(int value)` Sets the value of the wmPlanningPeriodType property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmWeekStartDay(int value)` Sets the value of the wmWeekStartDay property.
    `java.lang.String` | `toString()`
    `CfgPlanningPeriodHolder` | `withPeriods(CfgPlanningPeriod... values)`
    `CfgPlanningPeriodHolder` | `withPeriods(java.util.Collection<CfgPlanningPeriod> values)`
    `CfgPlanningPeriodHolder` | `withPeriodsNSizeIs(int value)`
    `CfgPlanningPeriodHolder` | `withWmPlanningPeriodType(int value)`
    `CfgPlanningPeriodHolder` | `withWmSiteId(int value)`
    `CfgPlanningPeriodHolder` | `withWmWeekStartDay(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmPlanningPeriodType

          protected int wmPlanningPeriodType

      Planning Period Type `ECfgPlanningPeriodType`

    - #### wmWeekStartDay

          protected int wmWeekStartDay

      Week Start Day (1 = Mon, 2 =Tue, ... 7 = Sun)

    - #### periodsNSizeIs

          protected int periodsNSizeIs

    - #### periods

          protected java.util.List<CfgPlanningPeriod> periods

      A list of periods `CfgPlanningPeriod`

  - ### Constructor Detail

    - #### CfgPlanningPeriodHolder

          public CfgPlanningPeriodHolder()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmPlanningPeriodType

          public int getWmPlanningPeriodType()

      Gets the value of the wmPlanningPeriodType property.

    - #### setWmPlanningPeriodType

          public void setWmPlanningPeriodType(int value)

      Sets the value of the wmPlanningPeriodType property.

    - #### getWmWeekStartDay

          public int getWmWeekStartDay()

      Gets the value of the wmWeekStartDay property.

    - #### setWmWeekStartDay

          public void setWmWeekStartDay(int value)

      Sets the value of the wmWeekStartDay property.

    - #### getPeriodsNSizeIs

          public int getPeriodsNSizeIs()

      Gets the value of the periodsNSizeIs property.

    - #### setPeriodsNSizeIs

          public void setPeriodsNSizeIs(int value)

      Sets the value of the periodsNSizeIs property.

    - #### getPeriods

          public java.util.List<CfgPlanningPeriod> getPeriods()

      Gets the value of the periods property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the periods property.

      For example, to add a new item, do as follows:

              getPeriods().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgPlanningPeriod`

    - #### withWmSiteId

          public CfgPlanningPeriodHolder withWmSiteId(int value)

    - #### withWmPlanningPeriodType

          public CfgPlanningPeriodHolder withWmPlanningPeriodType(int value)

    - #### withWmWeekStartDay

          public CfgPlanningPeriodHolder withWmWeekStartDay(int value)

    - #### withPeriodsNSizeIs

          public CfgPlanningPeriodHolder withPeriodsNSizeIs(int value)

    - #### withPeriods

          public CfgPlanningPeriodHolder withPeriods(CfgPlanningPeriod... values)

    - #### withPeriods

          public CfgPlanningPeriodHolder withPeriods(java.util.Collection<CfgPlanningPeriod> values)

    - #### setPeriods

          public void setPeriods(java.util.List<CfgPlanningPeriod> periods)

      Sets the value of the periods property.
      Parameters:
        `periods` - allowed object is `CfgPlanningPeriod`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.